Bug 53415 - Installer creates non-bootable config
Summary: Installer creates non-bootable config
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: anaconda   
(Show other bugs)
Version: 7.1
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-09-08 12:09 UTC by Need Real Name
Modified: 2007-04-18 16:36 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-09-27 19:35:41 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Need Real Name 2001-09-08 12:09:22 UTC
Description of problem:
In a system with 3ware IDE RAID controller cards and onboard SCSI, the 
RAID controllers are enumerated first in the device files, i.e. /dev/sda, 
sdb, then the onboard SCSI, /dev/sdc.  Anaconda will only allow you to 
create /boot on /dev/sda, even if the BIOS is set to boot only 
from /dev/sdc.  This creates a situation where everything must be 
repartitioned after anaconda finishes using a rescue disk, manually 
creating /boot on /dev/hdc and rewriting lilo.conf.  Anaconda should 
either allow you to create /boot wherever you want, or detect which disk 
the bios is seeing as 0x80 correctly.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Install 3ware IDE controllers
2. begin install of RH7.1 with linux expert option to allow the loading of 
3ware drivers from floppy at beginning of install
3. Attempt to create a bootable configuration within anaconda.
	

Actual Results:  LILO will hang with LI if anaconda is allowed to 
create /boot on /dev/sda (the 3ware RAID), and the BIOS is set to boot 
from /dev/sdc, Anaconda will not allow user to create /boot on anything 
but /dev/sda

Expected Results:  sucessful boot

Additional info:

Motherboard in test configuration was Supermicro P3TDE6 with serverworks 
HE chipset.  3ware controllers were two escalade 7800 cards.  On board 
SCSI is adaptec.

Comment 1 Jeremy Katz 2001-09-12 20:14:08 UTC
Closely related to bug 10645 among others.  Not going to get fixed this go around

Comment 2 Jeremy Katz 2002-01-22 01:17:24 UTC
You'll be able to reorder what the BIOS ordering for drives is for the next release


Note You need to log in before you can comment on or make changes to this bug.